Page MenuHomePhabricator

edje_codegen crashes on osx
Closed, ResolvedPublic

Description

On commit ae7772919911d11e5e24166d77c2bf54518259ab:

  • make examples
  • or:
    • cd src/examples/edje
    • EFL_RUN_IN_TREE=1 glibtool --mode=execute lldb -- ../../../src/bin/edje/edje_codegen --prefix=codegen_example codegen.edj example_group ./codegen_example_generated.c ./codegen_example_generated.h

and boom:

* thread #1: tid = 0x1f6f50, 0x00007fffbc9b6c8b libsystem_platform.dylib`_simple_salloc + 122, queue = 'com.apple.main-thread', stop reason = EXC_BAD_INSTRUCTION (code=EXC_I386_INVOP, subcode=0x0)
  * frame #0: 0x00007fffbc9b6c8b libsystem_platform.dylib`_simple_salloc + 122
    frame #1: 0x00007fffbc937d23 libsystem_malloc.dylib`szone_error + 116
    frame #2: 0x00007fffbc92ae55 libsystem_malloc.dylib`allocate_pages + 269
    frame #3: 0x00007fffbc92cded libsystem_malloc.dylib`allocate_pages_securely + 420
    frame #4: 0x00007fffbc92c132 libsystem_malloc.dylib`szone_malloc_should_clear + 3576
    frame #5: 0x00007fffbc92b2da libsystem_malloc.dylib`malloc_zone_malloc + 107
    frame #6: 0x00007fffbc92a258 libsystem_malloc.dylib`malloc + 24
    frame #7: 0x00000001007d8c6b libeina.1.dylib`_eina_freeq_block_append(fq=0x0000000101202d00) + 27 at eina_freeq.c:125
    frame #8: 0x00000001007d8a4f libeina.1.dylib`eina_freeq_ptr_add(fq=0x0000000101202d00, ptr=0x0000000102004e40, free_func=(libeina.1.dylib`_eina_list_list_free at eina_list.c:204), size=40) + 271 at eina_freeq.c:379
    frame #9: 0x00000001007915dd libeina.1.dylib`eina_freeq_ptr_main_add(ptr=0x0000000102004e40, free_func=(libeina.1.dylib`_eina_list_list_free at eina_list.c:204), size=40) + 45 at eina_freeq.h:315
    frame #10: 0x000000010078d16a libeina.1.dylib`_eina_list_mempool_list_free(list=0x0000000102004e40) + 266 at eina_list.c:243
    frame #11: 0x000000010078e104 libeina.1.dylib`eina_list_remove_list(list=0x0000000102004e40, remove_list=0x0000000102004e40) + 532 at eina_list.c:794
    frame #12: 0x00000001006f6011 libefl.1.dylib`_efl_input_device_efl_object_destructor(obj=0x4000000067d5b166, pd=0x000000010112f7f0) + 161 at efl_input_device.c:27
    frame #13: 0x00000001007558fc libeo.1.dylib`efl_destructor(obj=0x4000000067d5b166) + 220 at efl_object.eo.c:58
    frame #14: 0x00000001007526dd libeo.1.dylib`_efl_del_internal(obj=0x000000010112f760, func_name="_efl_object_call_end", file="../../src/lib/eo/eo.c", line=620) + 109 at eo_private.h:248
    frame #15: 0x000000010074dc71 libeo.1.dylib`_efl_unref_internal(obj=0x000000010112f760, func_name="_efl_object_call_end", file="../../src/lib/eo/eo.c", line=620) + 721 at eo_private.h:323
    frame #16: 0x000000010074dece libeo.1.dylib`_efl_object_call_end(call=0x00007fff5fbff1b8) + 78 at eo.c:620
    frame #17: 0x00000001007549d5 libeo.1.dylib`efl_del(obj=0x4000000067d5b166) + 229 at efl_object.eo.c:18
    frame #18: 0x0000000100282a2a libevas.1.dylib`evas_device_del(dev=0x4000000067d5b166) + 42 at evas_device.c:189
    frame #19: 0x0000000100283215 libevas.1.dylib`_evas_device_cleanup(eo_e=0x4000000063d5b165) + 213 at evas_device.c:371
    frame #20: 0x00000001002a3e72 libevas.1.dylib`_evas_canvas_efl_object_destructor(eo_e=0x4000000063d5b165, e=0x000000010183dc90) + 2802 at evas_main.c:405
    frame #21: 0x00000001007558fc libeo.1.dylib`efl_destructor(obj=0x4000000063d5b165) + 220 at efl_object.eo.c:58
    frame #22: 0x00000001007526dd libeo.1.dylib`_efl_del_internal(obj=0x000000010183dc00, func_name="efl_unref", file="../../src/lib/eo/eo.c", line=1788) + 109 at eo_private.h:248
    frame #23: 0x000000010074dc71 libeo.1.dylib`_efl_unref_internal(obj=0x000000010183dc00, func_name="efl_unref", file="../../src/lib/eo/eo.c", line=1788) + 721 at eo_private.h:323
    frame #24: 0x0000000100750c55 libeo.1.dylib`efl_unref(obj_id=0x4000000063d5b165) + 277 at eo.c:1788
    frame #25: 0x00000001002975f4 libevas.1.dylib`evas_free(eo_e=0x4000000063d5b165) + 84 at evas_main.c:267
    frame #26: 0x00000001001ab5bf libecore_evas.1.dylib`_ecore_evas_free(ee=0x000000010112a6c0) + 1167 at ecore_evas.c:3121
    frame #27: 0x00000001001abd8c libecore_evas.1.dylib`ecore_evas_free(ee=0x000000010112a6c0) + 140 at ecore_evas.c:1015
    frame #28: 0x000000010000196e edje_codegen`main(argc=6, argv=0x00007fff5fbff760) + 1678 at edje_codegen.c:1219
    frame #29: 0x00007fffbc7a9255 libdyld.dylib`start + 1
(lldb)

Too bad there is no valgrind on sierra :'(

jayji created this task.Mar 6 2017, 2:13 PM
bu5hm4n triaged this task as High priority.EditedJun 10 2018, 11:18 AM
bu5hm4n added a subscriber: bu5hm4n.

I think this works here...
@jayji still relevant for you?

zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:54 AM
bu5hm4n edited projects, added efl: layout engine; removed Restricted Project.Jun 11 2018, 7:55 AM
zmike closed this task as Resolved.Jun 14 2018, 6:23 AM
zmike claimed this task.
zmike added a subscriber: zmike.

Reopen if this recurs.